in

Como instalar o Kodi 18 Beta no Ubuntu, Linux Mint e derivados

O Kodi 18 Beta esta disponível para instalação. O Kodi é uma aplicação que permite assistir a filmes, programas, podcast, usando vários serviços compatíveis com o seguimento ao redor do mundo. E hoje, você verá como instalar o Kodi 18 Beta no Ubuntu, Linux Mint e derivados. É importante ressaltar que essa versão é a distribuída pela equipe de desenvolvedores para uso e testes.

Se você precisar de mais informações sobre o Kodi, temos vários posts sobre ele, acesse através do botão abaixo:

Mais sobre o Kodi

Instalando o Kodi 18 Beta via PPA no Ubuntu ou Linux Mint

Essa PPA é do projeto Kodi, e contém dos pacotes recentes para qualquer versão do Ubuntu ou Linux Mint, claro, desde que as versões ainda estão com suporte ativo pela Canonical. Para começar o processo de instalação do Kodi 18 Beta, vamos precisar abrir um Terminal, utilize o atalho Ctrl + Alt + T e cole os comandos abaixo:

sudo add-apt-repository ppa:team-xbmc/unstable
sudo apt update

Agora, vamos para o comando de instalação do Kodi 18:

sudo apt install kodi

Saída do Terminal em torno do processo de instalação. Costumamo postar estas saídas para conferência e percepção de que o pacote esta disponível:

[email protected]:~$ sudo apt install kodi
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
The following additional packages will be installed:
kodi-inputstream-adaptive kodi-inputstream-rtmp kodi-peripheral-joystick
kodi-x11 libcec4 libcrossguid0 libcurl4 libfstrcmp0 libgif7 libmicrohttpd12
libmysqlclient20 libnfs11 libp8-platform2 libpcrecpp0v5 libpython-stdlib
libshairplay0 libtinyxml2.6.2v5 mesa-utils mysql-common python python-bluez
python-minimal python-olefile python-pil python-simplejson python2.7
python2.7-minimal
Pacotes sugeridos:
kodi-pvr-mythtv kodi-pvr-vdr-vnsi kodi-pvr-tvheadend-hts kodi-pvr-dvbviewer
kodi-pvr-iptvsimple kodi-audioencoder-vorbis kodi-audioencoder-flac
kodi-audioencoder-lame python-doc python-tk python-pil-doc python-pil-dbg
python2.7-doc binfmt-support
Os NOVOS pacotes a seguir serão instalados:
kodi kodi-inputstream-adaptive kodi-inputstream-rtmp
kodi-peripheral-joystick kodi-x11 libcec4 libcrossguid0 libcurl4 libfstrcmp0
libgif7 libmicrohttpd12 libmysqlclient20 libnfs11 libp8-platform2
libpcrecpp0v5 libpython-stdlib libshairplay0 libtinyxml2.6.2v5 mesa-utils
mysql-common python python-bluez python-minimal python-olefile python-pil
python-simplejson python2.7 python2.7-minimal
0 pacotes atualizados, 28 pacotes novos instalados, 0 a serem removidos e 18 não atualizados.
É preciso baixar 36,9 MB/37,2 MB de arquivos.
Depois desta operação, 96,6 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://br.archive.ubuntu.com/ubuntu bionic-updates/main amd64 python2.7-minimal amd64 2.7.15~rc1-1ubuntu0.1 [1.304 kB]
Obter:2 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 kodi-x11 amd64 2:18.0+git20181203.1750-rc2-0bionic [13,1 MB]
Obter:3 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 python-minimal amd64 2.7.15~rc1-1 [28,1 kB]
Obter:4 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 libpython-stdlib amd64 2.7.15~rc1-1 [7.620 B]
Obter:5 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 python amd64 2.7.15~rc1-1 [140 kB]
Obter:6 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libp8-platform2 amd64 2.1.0.1+dfsg1-1 [20,8 kB]
Obter:7 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libcec4 amd64 4.0.2+dfsg1-2ubuntu1 [190 kB]
Obter:8 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libcrossguid0 amd64 0.0+git200150803-2ubuntu1 [7.078 B]
Obter:9 http://br.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libcurl4 amd64 7.58.0-2ubuntu3.5 [214 kB]
Obter:10 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libfstrcmp0 amd64 0.7.D001-1.1build1 [8.016 B]
Obter:11 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libmicrohttpd12 amd64 0.9.59-1 [53,3 kB]
Obter:12 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 mysql-common all 5.8+1.0.4 [7.308 B]
Obter:13 http://br.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmysqlclient20 amd64 5.7.24-0ubuntu0.18.04.1 [817 kB]
Obter:14 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libnfs11 amd64 2.0.0-1~exp1 [75,7 kB]
Obter:15 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 libpcrecpp0v5 amd64 2:8.39-9 [15,3 kB]
Obter:16 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 libtinyxml2.6.2v5 amd64 2.6.2-4 [29,7 kB]
Obter:17 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 mesa-utils amd64 8.4.0-1 [34,3 kB]
Obter:18 http://br.archive.ubuntu.com/ubuntu bionic/universe amd64 python-bluez amd64 0.22-1 [47,3 kB]
Obter:19 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 python-pil amd64 5.1.0-1 [328 kB]
Obter:20 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 python-simplejson amd64 3.13.2-1 [61,2 kB]
Obter:21 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 libgif7 amd64 5.1.4-2 [30,6 kB]
Obter:22 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 python-olefile all 0.45.1-1 [33,2 kB]
Obter:23 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 libshairplay0 amd64 0.9.0.1-2~bionic [45,7 kB]
Obter:24 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 kodi all 2:18.0+git20181203.1750-rc2-0bionic [19,7 MB]
Obter:25 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 kodi-inputstream-adaptive amd64 2.3.11-1~bionic [498 kB]
Obter:26 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 kodi-inputstream-rtmp amd64 2.0.3-2~bionic [11,1 kB]
Obter:27 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu bionic/main amd64 kodi-peripheral-joystick amd64 1.4.6-1~bionic [160 kB]
Baixados 36,9 MB em 2min 42s (228 kB/s)
A seleccionar pacote anteriormente não seleccionado python2.7-minimal.
(Lendo banco de dados … 201525 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar …/python2.7-minimal_2.7.15~rc1-1ubuntu0.1_amd64.deb …
A descompactar python2.7-minimal (2.7.15~rc1-1ubuntu0.1) …
A seleccionar pacote anteriormente não seleccionado python-minimal.
A preparar para desempacotar …/python-minimal_2.7.15~rc1-1_amd64.deb …
A descompactar python-minimal (2.7.15~rc1-1) …
A seleccionar pacote anteriormente não seleccionado python2.7.
A preparar para desempacotar …/python2.7_2.7.15~rc1-1ubuntu0.1_amd64.deb …
A descompactar python2.7 (2.7.15~rc1-1ubuntu0.1) …
A seleccionar pacote anteriormente não seleccionado libpython-stdlib:amd64.
A preparar para desempacotar …/libpython-stdlib_2.7.15~rc1-1_amd64.deb …
A descompactar libpython-stdlib:amd64 (2.7.15~rc1-1) …
Configurando python2.7-minimal (2.7.15~rc1-1ubuntu0.1) …
Linking and byte-compiling packages for runtime python2.7…
Configurando python-minimal (2.7.15~rc1-1) …
A seleccionar pacote anteriormente não seleccionado python.
(Lendo banco de dados … 201581 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar …/00-python_2.7.15~rc1-1_amd64.deb …
A descompactar python (2.7.15~rc1-1) …
A seleccionar pacote anteriormente não seleccionado libp8-platform2:amd64.
A preparar para desempacotar …/01-libp8-platform2_2.1.0.1+dfsg1-1_amd64.deb …
A descompactar libp8-platform2:amd64 (2.1.0.1+dfsg1-1) …
A seleccionar pacote anteriormente não seleccionado libcec4:amd64.
A preparar para desempacotar …/02-libcec4_4.0.2+dfsg1-2ubuntu1_amd64.deb …
A descompactar libcec4:amd64 (4.0.2+dfsg1-2ubuntu1) …
A seleccionar pacote anteriormente não seleccionado libcrossguid0:amd64.
A preparar para desempacotar …/03-libcrossguid0_0.0+git200150803-2ubuntu1_amd64.deb …
A descompactar libcrossguid0:amd64 (0.0+git200150803-2ubuntu1) …
A seleccionar pacote anteriormente não seleccionado libcurl4:amd64.
A preparar para desempacotar …/04-libcurl4_7.58.0-2ubuntu3.5_amd64.deb …
A descompactar libcurl4:amd64 (7.58.0-2ubuntu3.5) …
A seleccionar pacote anteriormente não seleccionado libfstrcmp0.
A preparar para desempacotar …/05-libfstrcmp0_0.7.D001-1.1build1_amd64.deb …
A descompactar libfstrcmp0 (0.7.D001-1.1build1) …
A seleccionar pacote anteriormente não seleccionado libmicrohttpd12.
A preparar para desempacotar …/06-libmicrohttpd12_0.9.59-1_amd64.deb …
A descompactar libmicrohttpd12 (0.9.59-1) …
A seleccionar pacote anteriormente não seleccionado mysql-common.
A preparar para desempacotar …/07-mysql-common_5.8+1.0.4_all.deb …
A descompactar mysql-common (5.8+1.0.4) …
A seleccionar pacote anteriormente não seleccionado libmysqlclient20:amd64.
A preparar para desempacotar …/08-libmysqlclient20_5.7.24-0ubuntu0.18.04.1_amd64.deb …
A descompactar libmysqlclient20:amd64 (5.7.24-0ubuntu0.18.04.1) …
A seleccionar pacote anteriormente não seleccionado libnfs11:amd64.
A preparar para desempacotar …/09-libnfs11_2.0.0-1~exp1_amd64.deb …
A descompactar libnfs11:amd64 (2.0.0-1~exp1) …
A seleccionar pacote anteriormente não seleccionado libpcrecpp0v5:amd64.
A preparar para desempacotar …/10-libpcrecpp0v5_2%3a8.39-9_amd64.deb …
A descompactar libpcrecpp0v5:amd64 (2:8.39-9) …
A seleccionar pacote anteriormente não seleccionado libtinyxml2.6.2v5:amd64.
A preparar para desempacotar …/11-libtinyxml2.6.2v5_2.6.2-4_amd64.deb …
A descompactar libtinyxml2.6.2v5:amd64 (2.6.2-4) …
A seleccionar pacote anteriormente não seleccionado kodi-x11.
A preparar para desempacotar …/12-kodi-x11_2%3a18.0+git20181203.1750-rc2-0bionic_amd64.deb …
A descompactar kodi-x11 (2:18.0+git20181203.1750-rc2-0bionic) …
A seleccionar pacote anteriormente não seleccionado mesa-utils.
A preparar para desempacotar …/13-mesa-utils_8.4.0-1_amd64.deb …
A descompactar mesa-utils (8.4.0-1) …
A seleccionar pacote anteriormente não seleccionado python-bluez.
A preparar para desempacotar …/14-python-bluez_0.22-1_amd64.deb …
A descompactar python-bluez (0.22-1) …
A seleccionar pacote anteriormente não seleccionado python-pil:amd64.
A preparar para desempacotar …/15-python-pil_5.1.0-1_amd64.deb …
A descompactar python-pil:amd64 (5.1.0-1) …
A seleccionar pacote anteriormente não seleccionado python-simplejson.
A preparar para desempacotar …/16-python-simplejson_3.13.2-1_amd64.deb …
A descompactar python-simplejson (3.13.2-1) …
A seleccionar pacote anteriormente não seleccionado libgif7:amd64.
A preparar para desempacotar …/17-libgif7_5.1.4-2_amd64.deb …
A descompactar libgif7:amd64 (5.1.4-2) …
A seleccionar pacote anteriormente não seleccionado libshairplay0:amd64.
A preparar para desempacotar …/18-libshairplay0_0.9.0.1-2~bionic_amd64.deb …
A descompactar libshairplay0:amd64 (0.9.0.1-2~bionic) …
A seleccionar pacote anteriormente não seleccionado kodi.
A preparar para desempacotar …/19-kodi_2%3a18.0+git20181203.1750-rc2-0bionic_all.deb …
A descompactar kodi (2:18.0+git20181203.1750-rc2-0bionic) …
A seleccionar pacote anteriormente não seleccionado python-olefile.
A preparar para desempacotar …/20-python-olefile_0.45.1-1_all.deb …
A descompactar python-olefile (0.45.1-1) …
A seleccionar pacote anteriormente não seleccionado kodi-inputstream-adaptive.
A preparar para desempacotar …/21-kodi-inputstream-adaptive_2.3.11-1~bionic_amd64.deb …
A descompactar kodi-inputstream-adaptive (2.3.11-1~bionic) …
A seleccionar pacote anteriormente não seleccionado kodi-inputstream-rtmp.
A preparar para desempacotar …/22-kodi-inputstream-rtmp_2.0.3-2~bionic_amd64.deb …
A descompactar kodi-inputstream-rtmp (2.0.3-2~bionic) …
A seleccionar pacote anteriormente não seleccionado kodi-peripheral-joystick.
A preparar para desempacotar …/23-kodi-peripheral-joystick_1.4.6-1~bionic_amd64.deb …
A descompactar kodi-peripheral-joystick (1.4.6-1~bionic) …
Configurando kodi-inputstream-adaptive (2.3.11-1~bionic) …
Configurando libshairplay0:amd64 (0.9.0.1-2~bionic) …
Configurando libtinyxml2.6.2v5:amd64 (2.6.2-4) …
A processar ‘triggers’ para mime-support (3.60ubuntu1) …
A processar ‘triggers’ para desktop-file-utils (0.23-1ubuntu3.18.04.1) …
Configurando mysql-common (5.8+1.0.4) …
update-alternatives: a usar /etc/mysql/my.cnf.fallback para disponibilizar /etc/mysql/my.cnf (my.cnf) em modo auto
Configurando libcurl4:amd64 (7.58.0-2ubuntu3.5) …
Configurando python2.7 (2.7.15~rc1-1ubuntu0.1) …
Configurando libgif7:amd64 (5.1.4-2) …
Configurando libnfs11:amd64 (2.0.0-1~exp1) …
Configurando libpython-stdlib:amd64 (2.7.15~rc1-1) …
A processar ‘triggers’ para libc-bin (2.27-3ubuntu1) …
Configurando libp8-platform2:amd64 (2.1.0.1+dfsg1-1) …
A processar ‘triggers’ para man-db (2.8.3-2ubuntu0.1) …
Configurando libpcrecpp0v5:amd64 (2:8.39-9) …
Configurando libcrossguid0:amd64 (0.0+git200150803-2ubuntu1) …
Configurando libmysqlclient20:amd64 (5.7.24-0ubuntu0.18.04.1) …
Configurando libmicrohttpd12 (0.9.59-1) …
A processar ‘triggers’ para gnome-menus (3.13.3-11ubuntu1.1) …
Configurando kodi-inputstream-rtmp (2.0.3-2~bionic) …
A processar ‘triggers’ para hicolor-icon-theme (0.17-2) …
Configurando python (2.7.15~rc1-1) …
Configurando libfstrcmp0 (0.7.D001-1.1build1) …
Configurando mesa-utils (8.4.0-1) …
Configurando python-simplejson (3.13.2-1) …
Configurando python-bluez (0.22-1) …
Configurando libcec4:amd64 (4.0.2+dfsg1-2ubuntu1) …
Configurando kodi-peripheral-joystick (1.4.6-1~bionic) …
Configurando python-olefile (0.45.1-1) …
Configurando python-pil:amd64 (5.1.0-1) …
Configurando kodi-x11 (2:18.0+git20181203.1750-rc2-0bionic) …
Configurando kodi (2:18.0+git20181203.1750-rc2-0bionic) …
A processar ‘triggers’ para libc-bin (2.27-3ubuntu1) …

Bom, agora é só usufruir do Kodi 18 Beta, saiba também que assim que a equipe de desenvolver lançar uma nova versão do Kodi, você verá notificado nas atualizações do sistema, e com isso, você não perde nenhum recursos novo ou correções para aprimorar o Kodi.

No Ubuntu, basta procurar pelo no do Kodi e depois clicar no ícone e abrir.

como-instalar-kodi-18-beta-ubuntu-linux-mint

E finalmente…

como-instalar-kodi-18-beta-ubuntu-linux-mint-2018

Written by Emanuel Negromonte

Fundador do SempreUPdate. Acredita no poder do trabalho colaborativo, no GNU/Linux, Software livre e código aberto. É possível tornar tudo mais simples quando trabalhamos juntos, e tudo mais difícil quando nos separamos.

como-executar-um-arquivo-run-ou-bin-no-linux-2018

Como executar e instalar um arquivo .run ou .bin no Linux

Bug que perdura 11 anos no Firefox prejudica usuários. 

Bug que perdura 11 anos no Firefox prejudica usuários